Subject: bug#13419: make 'eabs' act more like a function

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Jan 2013 19:26:55 -0500

>> Do you really consider this code cleaner?
> The implementation's worse, but the use is nicer,
> since eabs is guaranteed to evaluate its argument just once.

I understand this, but I think the price is too high.

> Anyway, here's a simpler implementation that also evaluates
> its argument just once: would you prefer this?
>   #define eabs(x) imaxabs (x)

But then it's not inlined, right?
I think this is trying to fix something that's not broken and
C simply does not offer a good enough alternative.

        Stefan